#property copyright "bc"
#property link  ""
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_maximum 300
#property indicator_minimum -300
#property indicator_level1 0
#property indicator_level2 100
#property indicator_level3 -100

extern int timeFrame=0;
extern int MA_Period = 5;
extern int MA_Method = MODE_LWMA;
extern int CCI_Period = 14;
extern int applied_price = 0; 


double CCI_idx1[], CCI_idt1[];
//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   IndicatorShortName(" CCI trial again ");
   IndicatorBuffers(2);
   SetIndexBuffer(0,CCI_idx1);
   SetIndexBuffer(1,CCI_idt1);
      timeFrame= MathMax(timeFrame,Period());
   return(0);
}

//------------------------------------------------------------------
//
//------------------------------------------------------------------

int start()
  {
   int i,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         if (timeFrame!=Period())
         {
            limit = MathMin(MathMax(limit,3*timeFrame/Period()),Bars-1);
            for(i=limit;i>=0;i--)
            {
               int y=iBarShift(NULL,timeFrame,Time[i]);
               CCI_idx1[i] = iCustom(NULL,timeFrame,WindowExpertName(),0,MA_Period,MA_Method,CCI_Period,applied_price,0,y);
               CCI_idt1[i] = iCustom(NULL,timeFrame,WindowExpertName(),0,MA_Period,MA_Method,CCI_Period,applied_price,1,y);
            }
            return(0);
         }

   for(i=limit;i>=0;i--) CCI_idt1[i] =getCCI1(i);
   for(i=limit;i>=0;i--) CCI_idx1[i] = iMAOnArray(CCI_idt1,0,MA_Period,0,MA_Method,i); 
   return(0);
}


double getCCI1(int pos)  
{
   double CCI1;
      double r1,r2,r3;
         r1=iCCI("EURUSD",0,CCI_Period,applied_price,pos);
         r2=iCCI("EURAUD",0,CCI_Period,applied_price,pos);
         r3=iCCI("EURJPY",0,CCI_Period,applied_price,pos);
         CCI1=(r1+r2+r3)/3;
    return (CCI1);
}  